
/* Global */
body {
  background: rgb(17, 17, 17);
  background: #000;
  color: #fff;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 14pt;
  max-width: 100%;
  overflow-x: hidden;
}
h1,
h2,
h3 {
  text-transform: uppercase;
  font-weight: 300;
  margin-bottom: 0;
}

/* Navigation */
.siteNav {
  border-bottom: 1px solid #717070;
  margin: 3em auto 2em;
  width: 90vw;
}

ul.nav-menu {
  display: grid;
  padding: 0;
/*  grid-template-columns: repeat(auto-fill, 1fr); */
  grid-auto-flow: column;
  grid-gap: 2px;
  list-style-type: none;
  text-align: center;
  text-transform: uppercase;
}

.nav-menu > li {
  border-left: 0;
  background-color: rgba(255, 255, 255, 0.04);
  transition: background-color 0.3s ease-in-out;
}
.nav-menu > li:hover,
.nav-menu .current_page_item,
.nav-menu li.current_page_item:hover,
.nav-menu .current_page_ancestor,
.nav-menu .current-menu-item,
li.current-menu-item:hover,
.nav-menu .current-menu-ancestor {
  background-color: transparent;
}

.nav-menu .sub-menu,
.nav-menu .children {
  position: relative;
}

.nav-menu li a {
  color: #fff;
  display: block;
  font-size: 1.3em;
  line-height: 1;
  padding: 15px 10px;
  text-decoration: none;
  transition: color 0.4s ease 0s;
}
.nav-menu li:hover > a,
.nav-menu li a:hover,
.print-button a:hover {
  color: #717070;
}
.nav-menu .current_page_item > a,
.nav-menu li.current_page_item:hover > a,
.nav-menu .current_page_ancestor > a,
.nav-menu .current-menu-item > a,
li.current-menu-item:hover > a,
.nav-menu .current-menu-ancestor > a,
.small:hover {
  color: #0065a9;
}

/* Main */
#main {
  margin: 3em auto 1.2em;
  width: 90vw;
  font-size: 1.3em;
}

#main > h1 {
  text-align: center;
}

.printButton,
.printPreview,
.shelfToggle,
#shelf .instrument,
.instrument .controlsToggle,
.controlsOnOff span,
.controls aside,
.clearStage {
  cursor: pointer;
}

.controls .dragHandle,
#theStage .instrument {
  cursor: move;
}

h2 span {
  display: inline-block;
  position: absolute;
  font-size: 0.6em;
  text-transform: none;
  padding: 0.5em 0.7em;
  vertical-align: top;
}
.printPreview {
  font-size: 0.8em;
  color: #888;
}

.bandDetails {
  display: grid;
  grid-template-columns: repeat(3, auto);
  grid-gap: 2em;
  margin-top: 15px;
}
.bandDetails h3 {
  margin: 0;
}
.bandDetails input {
  padding: 2%;
  width: 98%;
  font-size: 1.2em;
}

/* Stage */
#stage {
  position: relative;
  z-index: 10;
}
.stageContainer {
  aspect-ratio: 2/1;
  width: calc(96px * 7.25);
  margin: 1em auto;
  position: relative;
  background: #fff;
  color: #000;
  border: 2px inset;
}

.stageDir {
  text-transform: uppercase;
  color: #d1d1d1;
  text-align: center;
  position: absolute;
  width: 100%;
  margin: 0;
}
.stageDir:first-of-type {
  top: 3px;
}
.stageDir:last-of-type {
  bottom: 3px;
}


#theStage {
  /* height: calc(100% + 3em);
  top: -1.5em;
  width: calc(100% + 3em);
  left: -1.5em; */
  height: 100%;
  width: 100%;
}

/* Shelf */
#shelf > div {
  display: grid;
  grid-template-columns: repeat(auto-fill, 70px);
  grid-auto-rows: 100px;
  grid-row-gap: 1em;
  background: #fff;
  color: #000;
  padding: 15px;
  border: 2px inset;
  font-size: 0.8;
}

/* Instruments */
.instrument {
  position: relative;
  display: grid;
  justify-content: center;
}
#theStage .instrument {
  grid-template-areas:
    '. controls'
    'image controls'
    'image controls'
    'name controls';
}
#shelf .instrument {
  grid-template-areas: 'controls' 'image' 'name';
  align-content: end;
}
.instrument img {
  max-width: 80%;
  max-height: 80%;
  grid-area: image;
  display: block;
  margin: 0 auto 0.8em;
}
#theStage .instrument img {
  max-width: initial;
  max-height: initial;
  transform: scale(0.6);
  margin: 0;
}
.instrument h3 {
  text-align: center;
  grid-area: name;
  max-width: 90%;
  margin: 0 auto;
  font-size: 0.8em;
  background: #ddd;
  padding: 0.6em;
  display: none;
}
#theStage .instrument h3 {
  max-width: initial;
  font-size: 0.9em;
  display: none;
}

#theStage .text button {
  display: none;
}

.controlsOnOff,
.clearStage {
  position: relative;
  z-index: 21;
  font-size: 1.2em;
  padding: 0.1em 0;
  display: inline-block;
}
.controlsOnOff span,
.controlsOnOff span.off {
  background-color: #444;
  padding: 0 0.2em;
  transition: background-color 0.2s ease-in-out, color 0.3s ease-in-out;
}
.controlsOnOff span.on {
  background-color: #ddd;
  color: #000;
}

.clearStage {
  float: right;
  background-color: #444;
  padding: 0 0.2em;
}

#shelf .instrument .controlsToggle,
#shelf .instrument .controls {
  display: none;
}
.instrument .controlsToggle {
  background: url('images/glyphicons-281-settings@3x.png');
  width: 20px;
  height: 20px;
  background-size: contain;
  display: block;
  position: relative;
  z-index: 21;
  transition: transform 0.2s ease-in-out;
  grid-area: controlsToggle;
}
.instrument .controlsToggle.hide {
  transform: scale(0);
}
.instrument .controlsToggle.show {
  transform: scale(1);
}
.controls {
  z-index: 20;
  grid-area: controls;
  position: absolute;
  top: 0;
  transform: translateY(-20%);
  display: block;
}

.controls aside {
  background: #eee;
  text-align: center;
  overflow: hidden;
  padding: 0.3em;
  font-size: 1.2em;
  margin: 1em;
  transition: transform 0.3s ease-in-out, width 0.3s ease-in-out;
}
.controls.show aside:first-of-type {
  transform: scale(1) rotateZ(-10deg) translateX(0);
}
.controls.show aside:nth-of-type(2) {
  transform: scale(1) rotateZ(0) translateX(5px);
}
.controls.show aside:nth-of-type(3) {
  transform: scale(1) rotateZ(10deg) translateX(0);
}

.controls.hide aside {
  transform: scale(0) rotateZ(0) translateX(-200px);
}

/* Inputs */
.inputGrid {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, auto);
  justify-content: center;
  grid-template-rows: repeat(8, auto);
  grid-auto-flow: column;
}
.inputGroup {
  display: flex;
}

#inputs span {
  --inputbgMain: #eee;
  --inputbgAlt: #ccc;
  border: 1px solid;
  text-align: center;
  background: var(--inputbgMain);
  color: #000;
}
#inputs .num {
  padding: 0.5em;
  width: 62px;
}
#inputs .inputText input {
  border: none;
  background: transparent;
  width: 100%;
  height: 100%;
  font-size: 1.2em;
}
#inputs .inputText input:focus {
  outline: none;
}

#inputs {
  .inputGroup {
    &:nth-of-type(2n+1) span {
        background: var(--inputbgAlt);
    }
    &:nth-of-type(2n+9) span {
        background: var(--inputbgMain);
    }
    &:nth-of-type(2n+10) span {
        background: var(--inputbgAlt);
    }
    &:nth-of-type(2n+18) span {
        background: var(--inputbgMain);
    }
    &:nth-of-type(2n+17) span {
        background: var(--inputbgAlt);
    }
    &:nth-of-type(2n+25) span {
        background: var(--inputbgMain);
    }
    &:nth-of-type(2n+26) span {
        background: var(--inputbgAlt);
    }
  } 
}

/* Notes */
#notes {
  width: 100%;
  height: 100px;
}
#notes textarea {
  height: 100%;
  width: 100%;
  font-size: 1.2em;
}

/* #donate {
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
  font-size: 1.2em;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
  margin: 30px auto;
}

#donate a {
  display: block;
  max-width: 130px;
  margin: 0 auto;
  font-size: 1.1em;
  text-decoration: none;
  color: #fff;
  text-transform: uppercase;
  text-align: center;
  padding: 7px 8px;
  border: 1px solid;
  border-radius: 5%;
  background: rgba(255, 255, 255, 0.1);
}
 */

/* Footer */
footer {
  width: 100%;
  text-align: center;
  color: #555;
  font-size: 1.1em;
}

/* Larger Screen */
@media screen and (orientation:landscape) and (min-width: 56.25em) {
  body {
    font-size: 10pt;
  }

  .siteNav {
    width: 813px;
  }
  ul.nav-menu {
    grid-template-columns: repeat(auto-fill, minmax(130px, 1fr));
  }

  #main {
    font-size: 1em;
    max-width: 99%;
  }
  #main, .stageDir, .siteNav {
    max-width: calc(96px * 7.25);
  }
  
}

/* Print */
@media print {
  body {
    background: none !important;
    color: #000;
    font-size: 10pt;
    width: 98%;
  }

  footer a[rel='bookmark']:link:after,
  footer a[rel='bookmark']:visited:after {
    content: ' [' attr(href) '] '; /* Show URLs */
  }

  #main {
    max-width: 95%;
    width: auto;
    font-size: 1em;
  }

  .printHide,
  .printPreview {
    display: none;
  }

  .stageContainer {
    border: 2px solid;
  }

}
